/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'endtime',
          prop: 'endtime',
          dataType: 'DATE',
          isEditable:true
        },
        {
          name: 'starttime',
          prop: 'starttime',
          dataType: 'DATE',
          isEditable:true
        },
        {
          name: 'xl',
          prop: 'xl',
          dataType: 'SSCODELIST',
          isEditable:true
        },
        {
          name: 'xkml',
          prop: 'xkml',
          dataType: 'SSCODELIST',
          isEditable:true
        },
        {
          name: 'xxxz',
          prop: 'xxxz',
          dataType: 'SSCODELIST',
          isEditable:true
        },
        {
          name: 'majorname',
          prop: 'majorname',
          dataType: 'TEXT',
          isEditable:true
        },
        {
          name: 'xznf',
          prop: 'xznf',
          dataType: 'PICKUPDATA',
        },
        {
          name: 'srfmajortext',
          prop: 'pcmeducationexperiencename',
          dataType: 'TEXT',
        },
        {
          name: 'srfdataaccaction',
          prop: 'pcmeducationexperienceid',
          dataType: 'GUID',
        },
        {
          name: 'srfkey',
          prop: 'pcmeducationexperienceid',
          dataType: 'GUID',
          isEditable:true
        },
        {
          name: 'xwz',
          prop: 'xwz',
          dataType: 'TEXT',
          isEditable:true
        },
        {
          name: 'firstxl',
          prop: 'firstxl',
          dataType: 'SSCODELIST',
          isEditable:true
        },
        {
          name: 'formsoflearning_text',
          prop: 'formsoflearning',
          dataType: 'SSCODELIST',
        },
        {
          name: 'xl_text',
          prop: 'xl',
          dataType: 'SSCODELIST',
        },
        {
          name: 'schoolname',
          prop: 'schoolname',
          dataType: 'TEXT',
          isEditable:true
        },
        {
          name: 'higestxl',
          prop: 'higestxl',
          dataType: 'SSCODELIST',
          isEditable:true
        },
        {
          name: 'formsoflearning',
          prop: 'formsoflearning',
          dataType: 'SSCODELIST',
          isEditable:true
        },
        {
          name: 'xlyz',
          prop: 'xlyz',
          dataType: 'TEXT',
          isEditable:true
        },
        {
          name: 'byz',
          prop: 'byz',
          dataType: 'TEXT',
          isEditable:true
        },
        {
          name: 'pcmprofileid',
          prop: 'pcmprofileid',
          dataType: 'PICKUP',
          isEditable:true
        },
        {
          name: 'xkml_text',
          prop: 'xkml',
          dataType: 'SSCODELIST',
        },
        {
          name: 'xxxz_text',
          prop: 'xxxz',
          dataType: 'SSCODELIST',
        },
        {
          name: 'pcmeducationexperience',
          prop: 'pcmeducationexperienceid',
        },

        {
          name:'size',
          prop:'size'
        },
        {
          name:'query',
          prop:'query'
        },
        {
          name:'filter',
          prop:'filter'
        },
        {
          name:'page',
          prop:'page'
        },
        {
          name:'sort',
          prop:'sort'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
      ]
    }
  }

}